Get a deal
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
GET
/v1/deals/{id}Authorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
idstringrequiredmin length 1
Responses
200OK
idstringrequiredcontactIdstringrequiredtitlestringrequiredvaluenumber | anyrequiredShow propertiesHide properties
Any of:
number
numberany
anystageIdstringrequiredstageEnteredAtstring<date-time>requiredstatusstringrequiredAllowed:
openwonlostownerIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyprojectTypeIdsstring[]requiredstreetstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anypostalCodestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycitystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anynotesstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyprojectIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyclosedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyarchivedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X GET "https://app.bauhow.com/api/v1/deals/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://app.bauhow.com/api/v1/deals/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://app.bauhow.com/api/v1/deals/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"id": "string",
"contactId": "string",
"title": "string",
"value": 0,
"stageId": "string",
"stageEnteredAt": "2024-01-01T00:00:00Z",
"status": "open",
"ownerId": "string",
"projectTypeIds": [
"string"
],
"street": "string",
"postalCode": "string",
"city": "string",
"notes": "string",
"projectId": "string",
"closedAt": "2024-01-01T00:00:00Z",
"archivedAt": "2024-01-01T00:00:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}